Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

As per RE: How to change sort order for due date column on "Issu..., I'd want to see either default date sorting changed or the ability

to set it on-demand.

If I'm requesting issues to be sorted by due date, it means due date is of importance to me, so issues with an assigned due date

should be somehow highlighted over those without (i.e.: by sorting before).

Not having an assigned due date on an issue means I don't know/it doesn't matter and, again, known info should prevail over "don't

knows/doesn't matters".

Excluding in the query issues without due date may make sense sometimes but I can think of a lot of scenarios when it doesn't (i.e.:

multifilter: I still want to see issues at critical priority sorted before any issues at normal priority, even if no due date is assigned to

them).

An issue can have an implicit due date as long it has a target version assigned (that of the target version).

I can't think of an user case where things with no due date should be meaningfully presented before those with a due date when

sorting ascending order.

So, in sorting by due date (ascending), I would expect issues sorted like this:

1/MAR/2016

2/MAR/2016

no due date [or have it set to its target version's one and sort accordingly]

Related issues:

Is duplicate of Redmine - Feature #6034: sorting should disregard blank fields New 2010-08-04

History

#1 - 2017-01-01 03:53 - Toshi MARUYAMA

- Category set to Issues list

#2 - 2017-01-04 02:16 - Go MAEDA

- Is duplicate of Feature #6034: sorting should disregard blank fields added

#3 - 2017-01-04 02:18 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #6034.

Thank you for reporting this issue.
